Allow customize help_url without changing lib/redmine/info.rb

2011-09-30 00:11 - Vincent-Xavier JUMEL

Status: Closed Start date: 2011-09-30

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

Related issues:

Is duplicate of Redmine - Feature #12969: Ability to redefine "Help" link Closed

History

#1 - 2011-09-30 01:46 - Mischa The Evil

Please look at the submission guidelines and provide some more info about the issue.

#2 - 2011-10-01 09:06 - Vincent-Xavier JUMEL

In order to customize the Guide url, I need to modify a core file and I don't have any config parameter that could handle this situation.

#3 - 2011-10-03 14:20 - Etienne Massip

- Tracker changed from Defect to Feature

#4 - 2011-10-03 14:21 - Etienne Massip

- Subject changed from customize help_url withou changing lib/redmine/info.rb to Allow customize help_url without changing lib/redmine/info.rb

- Category set to Administration

#5 - 2013-02-18 22:33 - Michael Esemplare

Related to Feature #12969

I tried to implement this as my company needs this. I tried adding a setting for this, and applying it in lib/redmine.rb. However it seems that even after

saving the setting, the url link doesn't actually change unless I reload the web server.

I am guessing this is only set and read once:

in lib/redmine.rb:

   menu.push :administration, { :controller => 'admin', :action => 'index' }, :if => Proc.new { User.current.a

dmin? }, :last => true

-  menu.push :help, Redmine::Info.help_url, :last => true

+  menu.push :help, Setting.app_help_url , :last => true

 in app/views/settings/_general.html.erb:

  <p><%= setting_text_field :app_title, :size => 30 %></p>

+

+ <p><%= setting_text_field :app_help_url, :size => 30 %></p>

+

  <p><%= setting_text_area :welcome_text, :cols => 60, :rows => 5, :class => 'wiki-edit' %></p>

 in config/settings.yml

  app_title:

    default: Redmine

+ app_help_url

+   default: www.redmine.org/guide
  app_subtitle:

    default: Project management

 in config/locales/en.yml || en-GB.yml

  setting_app_title: Application title

+ setting_app_help_url: Application Help URL  

  setting_app_subtitle: Application subtitle

  setting_welcome_text: Welcome text

 Am I doing something wrong, or should this really be a plugin as suggested in #12969?

#6 - 2013-02-18 23:04 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

Yes, this should really be a plugin. You can remove the menu item and add your own easily.

#7 - 2013-02-25 05:20 - Mischa The Evil

I started work on a new plugin for this. The Redmine Custom Help URL plugin is the result.

See Redmine Custom Help URL plugin (v.0.0.2) for the first public announcement.
